net.snowflake.client

## Class IngestFilesTester.SecurityState

- java.lang.Object
- - net.snowflake.client.IngestFilesTester.SecurityState

All Implemented Interfaces:
  AutoCloseable

Enclosing class:
  IngestFilesTester

    protected static final class IngestFilesTester.SecurityState
    extends Object
    implements AutoCloseable

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`static IngestFilesTester.SecurityState` `create(String account, String user)`
`static String` `generateJwtToken(String account, String user, KeyPair pair)`
`String` `getJwtToken()`
`String` `getPublicKeyString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static IngestFilesTester.SecurityState create(String account,
                                                         String user)
                                                  throws NoSuchAlgorithmException,
                                                         NoSuchProviderException

Throws:
  `NoSuchAlgorithmException`
  `NoSuchProviderException`

#### close

    public void close()
               throws Exception

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `Exception`

#### getPublicKeyString

    public String getPublicKeyString()
                              throws InvalidKeySpecException

Throws:
  `InvalidKeySpecException`

#### getJwtToken

    public String getJwtToken()

#### generateJwtToken

    public static String generateJwtToken(String account,
                                          String user,
                                          KeyPair pair)